spring:
  main:
    allow-bean-definition-overriding: true
  sql:
    init:
      mode: always
  jpa:
    defer-datasource-initialization: true

server:
  error:
    whitelabel:
      enabled: true
    include-exception: true
    include-message: always
    include-stacktrace: always

chmm:
  ##SECURITY
  security:
    loginProcessingUrl: /login
    logoutProcessingUrl: /logout
    usernameParameter: username
    passwordParameter: password
    defaultPasswordEncoder: sha256
    passwordEncoderList: sha256,bcrypt
    ignorePatterns:
    # custom
    autoconfig:
      use: true
      rememberMe: true
      rememberMeValiditySeconds: 604800
      maximumSessions: -1
      returnUrl: /index.html

  #Hikari DataSource
  jdbc:
    driverClassName: org.h2.Driver
    jdbcUrl: jdbc:h2:mem:chamomile_test_db;MODE=MySQL;DB_CLOSE_DELAY=-1
    username: sa
    password:
    maximumPoolSize: 10
    connectionTimeout: 30000
    maxLifetime: 1800000

  ##MAPPER
  mapper:
    interval: 60000
    refreshable: true
    config-location: classpath:/sql/config/sqlMapConfig.xml
    refreshable-mapper-locations: classpath:/sql/service/*.xml
  txPointcut:
    expression: (execution(* demo..*ServiceImpl.*(..)))

  #FILE
  file:
    repositoryPath: /files

mybatis:
  mapper-locations: sql/service/*.xml

springdoc:
  swagger-ui:
    version: v1.0.0
    path: /swagger-ui.html
    groups-order: DESC
    operationsSorter: method
    disable-swagger-default-url: true
    display-request-duration: true
  api-docs:
    path: /api-docs
    groups:
      enabled: true
  show-actuator: true
  default-consumes-media-type: application/json
  default-produces-media-type: application/json
  packages-to-scan: demo

